Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.extension
Class TimerThread

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--jm.extension.TimerThread

All Implemented Interfaces:
  java.lang.Runnable

public class TimerThread
extends java.lang.Thread

Steuert die Einblen- und Ausblendzeiten fuer die Awt-Tooltips

See Also:
  `AwtToolTip`, `AwtToolTipHelper`, `ExImageCanvas`

Field Summary
`boolean` | `showToolTip`
`boolean` | `started`
`boolean` | `stopped`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TimerThread()` Der Konstruktor.

Method Summary
`void` | `run()` Method declaration
`void` | `setDismissDelay(int ms)` Setzt die Zeit bis zum Ausblenden eines bereits eingeblendeten Tooltips.
`void` | `setInitialDelay(int ms)` Setzt die Zeit bis zum Einblenden eines Tooltips.
`void` | `setLastMoveTime(long time)` Setzt die Zeit bis zum Ausbelnden eines ToolTips, wenn die Maus vom GUI-Objekt herunterbewegt wird.
`void` | `setSourceClass(ExImageCanvas ic)` Setzt die Refernz auf das GUI-Objekt, auf dem die ToolTips dargestellt werden Sollen.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stopped

    public boolean stopped

### started

    public boolean started

### showToolTip

    public boolean showToolTip

Constructor Detail

### TimerThread

    public TimerThread()

  Der Konstruktor.

Method Detail

### run

    public void run()

  Method declaration

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### setInitialDelay

    public void setInitialDelay(int ms)

  Setzt die Zeit bis zum Einblenden eines Tooltips.

  Parameters:
    `ms` - Zeit in Millisekunden

### setDismissDelay

    public void setDismissDelay(int ms)

  Setzt die Zeit bis zum Ausblenden eines bereits eingeblendeten Tooltips.

  Parameters:
    `ms` - Zeit in Millisekunden

### setLastMoveTime

    public void setLastMoveTime(long time)

  Setzt die Zeit bis zum Ausbelnden eines ToolTips, wenn die Maus vom GUI-Objekt herunterbewegt wird.

### setSourceClass

    public void setSourceClass(ExImageCanvas ic)

  Setzt die Refernz auf das GUI-Objekt, auf dem die ToolTips dargestellt werden Sollen. Hier also der ExImageCanvas.

  Parameters:
    `ic` - Referenz auf den ImageCanvas.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD